Bug 177654 - Security Update: www/opera
Security Update: www/opera
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Dirk Meyer
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-05 15:20 UTC by dirk.meyer
Modified: 2013-04-07 00:16 UTC (History)
0 users

See Also:


Attachments
file.diff (3.20 KB, patch)
2013-04-05 15:20 UTC, dirk.meyer
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description dirk.meyer 2013-04-05 15:20:00 UTC
	Opera has relased a Security update

Fixed a moderately severe issue, as reported by Attila Suszter; details will be disclosed at a later date.

http://www.opera.com/security/advisory/1046
http://www.opera.com/security/advisory/1047

Fix: The Patch solves the prtoblems.
	Build with pkg_jail

	Package tested on 8.3 i386 and amd64
	Flashplugin may work only after reboot.
Comment 1 Edwin Groothuis freebsd_committer 2013-04-05 15:20:09 UTC
Class Changed
From-To: maintainer-update->change-request

Fix category (submitter is not maintainer) (via the GNATS Auto Assign 
Tool)
Comment 2 Edwin Groothuis freebsd_committer 2013-04-05 15:20:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->dinoex

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 3 Dirk Meyer freebsd_committer 2013-04-05 15:24:49 UTC
Responsible Changed
From-To: dinoex->portmgr


waiting for approval
Comment 4 Baptiste Daroussin freebsd_committer 2013-04-05 15:39:58 UTC
State Changed
From-To: open->feedback

We need 2 more things to approve: a build log and a vuxml entry
Comment 6 dirk.meyer 2013-04-06 05:17:57 UTC
Here the VUXML enrtry.

Index: vuln.xml
===================================================================
--- vuln.xml	(revision 315738)
+++ vuln.xml	(working copy)
@@ -51,6 +51,36 @@
 
 -->
 <vuxml xmlns="http://www.vuxml.org/apps/vuxml-1">
+  <vuln vid="cebed39d-9e6f-11e2-b3f5-003067c2616f">
+    <topic>opera -- moderately severe issue</topic>
+    <affects>
+      <package>
+	<name>opera</name>
+	<name>opera-devel</name>
+	<name>linux-opera</name>
+	<name>linux-opera-devel</name>
+	<range><lt>12.15</lt></range>
+      </package>
+    </affects>
+    <description>
+      <body xmlns="http://www.w3.org/1999/xhtml">
+	<p>Opera reports:</p>
+	<blockquote cite="http://www.opera.com/support/kb/view/1042/">
+	  <p>Fixed a moderately severe issue, as reported by Attila Suszte.</p>
+	</blockquote>
+      </body>
+    </description>
+    <references>
+      <url>http://www.opera.com/docs/changelogs/unified/1215/</url>
+      <url>http://www.opera.com/support/kb/view/1046/</url>
+      <url>http://www.opera.com/support/kb/view/1047/</url>
+    </references>
+    <dates>
+      <discovery>2013-04-04</discovery>
+      <entry>2013-04-06</entry>
+    </dates>
+  </vuln>
+
   <vuln vid="eae8e3cf-9dfe-11e2-ac7f-001fd056c417">
     <topic>otrs -- Information disclosure and Data manipulation</topic>
     <affects>
Comment 7 Dirk Meyer freebsd_committer 2013-04-06 05:41:29 UTC
Class Changed
From-To: change-request->maintainer-update

I am the submitter and maintainer
Comment 8 Dirk Meyer freebsd_committer 2013-04-06 14:28:37 UTC
State Changed
From-To: feedback->open


waiting for approval
Comment 9 Martin Wilke freebsd_committer 2013-04-06 14:33:30 UTC
Responsible Changed
From-To: portmgr->dinoex

approved. please fix your mailer, I sent the approval mail about 4 hours 
ago.
Comment 10 dfilter freebsd_committer 2013-04-06 17:51:50 UTC
Author: dinoex
Date: Sat Apr  6 16:51:41 2013
New Revision: 315746
URL: http://svnweb.freebsd.org/changeset/ports/315746

Log:
  - Security udpate to 12.15
  Security: http://www.opera.com/docs/changelogs/unified/1215/
  Security: http://www.opera.com/security/advisory/1046
  Security: http://www.opera.com/security/advisory/1047
  PR:		177654
  Approved by:	portmgr

Modified:
  head/security/vuxml/vuln.xml
  head/www/opera-linuxplugins/Makefile
  head/www/opera-linuxplugins/distinfo
  head/www/opera/Makefile
  head/www/opera/distinfo
  head/www/opera/pkg-plist

Modified: head/security/vuxml/vuln.xml
==============================================================================
--- head/security/vuxml/vuln.xml	Sat Apr  6 16:43:28 2013	(r315745)
+++ head/security/vuxml/vuln.xml	Sat Apr  6 16:51:41 2013	(r315746)
@@ -51,6 +51,36 @@ Note:  Please add new entries to the beg
 
 -->
 <vuxml xmlns="http://www.vuxml.org/apps/vuxml-1">
+  <vuln vid="cebed39d-9e6f-11e2-b3f5-003067c2616f">
+    <topic>opera -- moderately severe issue</topic>
+    <affects>
+      <package>
+	<name>opera</name>
+	<name>opera-devel</name>
+	<name>linux-opera</name>
+	<name>linux-opera-devel</name>
+	<range><lt>12.15</lt></range>
+      </package>
+    </affects>
+    <description>
+      <body xmlns="http://www.w3.org/1999/xhtml">
+	<p>Opera reports:</p>
+	<blockquote cite="http://www.opera.com/support/kb/view/1042/">
+	  <p>Fixed a moderately severe issue, as reported by Attila Suszte.</p>
+	</blockquote>
+      </body>
+    </description>
+    <references>
+      <url>http://www.opera.com/docs/changelogs/unified/1215/</url>
+      <url>http://www.opera.com/support/kb/view/1046/</url>
+      <url>http://www.opera.com/support/kb/view/1047/</url>
+    </references>
+    <dates>
+      <discovery>2013-04-04</discovery>
+      <entry>2013-04-06</entry>
+    </dates>
+  </vuln>
+
   <vuln vid="b6beb137-9dc0-11e2-882f-20cf30e32f6d">
     <topic>Subversion -- multiple vulnerabilities</topic>
     <affects>

Modified: head/www/opera-linuxplugins/Makefile
==============================================================================
--- head/www/opera-linuxplugins/Makefile	Sat Apr  6 16:43:28 2013	(r315745)
+++ head/www/opera-linuxplugins/Makefile	Sat Apr  6 16:51:41 2013	(r315746)
@@ -20,8 +20,8 @@ COMMENT=	Linux plugin support for the na
 
 RUN_DEPENDS=	${LOCALBASE}/lib/opera/pluginwrapper/operapluginwrapper:${PORTSDIR}/${PKGCATEGORY}/opera
 
-OPERA_VER?=	12.14
-OPERA_BUILD?=	1738
+OPERA_VER?=	12.15
+OPERA_BUILD?=	1748
 MASTER_SITES_VER_PATH=	linux/${OPERA_VER:S/.//}/
 
 USE_XZ=		yes

Modified: head/www/opera-linuxplugins/distinfo
==============================================================================
--- head/www/opera-linuxplugins/distinfo	Sat Apr  6 16:43:28 2013	(r315745)
+++ head/www/opera-linuxplugins/distinfo	Sat Apr  6 16:51:41 2013	(r315746)
@@ -1,2 +1,2 @@
-SHA256 (opera-12.14-1738.i386.linux.tar.xz) = 00721be8475bd967ff0017d3db6c57d9d03b329bdcab2fba44231afccb0b9bd9
-SIZE (opera-12.14-1738.i386.linux.tar.xz) = 13590832
+SHA256 (opera-12.15-1748.i386.linux.tar.xz) = 602eff2177b42d809c44c832cb961eb5cfad1d502d20af31f082a703bee2eae2
+SIZE (opera-12.15-1748.i386.linux.tar.xz) = 13576396

Modified: head/www/opera/Makefile
==============================================================================
--- head/www/opera/Makefile	Sat Apr  6 16:43:28 2013	(r315745)
+++ head/www/opera/Makefile	Sat Apr  6 16:51:41 2013	(r315746)
@@ -21,10 +21,8 @@ LIB_DEPENDS=	freetype:${PORTSDIR}/print/
 BUILD_DEPENDS=	${LOCALBASE}/bin/update-mime-database:${PORTSDIR}/misc/shared-mime-info
 RUN_DEPENDS=	${LOCALBASE}/bin/update-mime-database:${PORTSDIR}/misc/shared-mime-info
 
-FORBIDDEN=	contains a "moderately severe issue" with unknown impact
-
-OPERA_VER?=	12.14
-OPERA_BUILD?=	1738
+OPERA_VER?=	12.15
+OPERA_BUILD?=	1748
 MASTER_SITES_VER_PATH=	unix/${OPERA_VER:S/.//}
 
 USE_XZ=		yes

Modified: head/www/opera/distinfo
==============================================================================
--- head/www/opera/distinfo	Sat Apr  6 16:43:28 2013	(r315745)
+++ head/www/opera/distinfo	Sat Apr  6 16:51:41 2013	(r315746)
@@ -1,4 +1,4 @@
-SHA256 (opera-12.14-1738.amd64.freebsd.tar.xz) = 3fe8e7736482fc74104363c521a491f5c0648c7c4c569a7d57e220e651124697
-SIZE (opera-12.14-1738.amd64.freebsd.tar.xz) = 13443168
-SHA256 (opera-12.14-1738.i386.freebsd.tar.xz) = 8c706c578ed6151a22ba30a1311e8aa51cd789851f962eab76df9d7c22db9d5a
-SIZE (opera-12.14-1738.i386.freebsd.tar.xz) = 13488412
+SHA256 (opera-12.15-1748.amd64.freebsd.tar.xz) = 1101c0a8882d6bbc5c892c170eeab4062b63a5d4e21c2928eca378bf9283e20d
+SIZE (opera-12.15-1748.amd64.freebsd.tar.xz) = 13443688
+SHA256 (opera-12.15-1748.i386.freebsd.tar.xz) = 654db056fb1d8f3490beaa4e0f6da27e46cd9903c5d34105b279a8e1ad2c2ad2
+SIZE (opera-12.15-1748.i386.freebsd.tar.xz) = 13487204

Modified: head/www/opera/pkg-plist
==============================================================================
--- head/www/opera/pkg-plist	Sat Apr  6 16:43:28 2013	(r315745)
+++ head/www/opera/pkg-plist	Sat Apr  6 16:51:41 2013	(r315746)
@@ -216,6 +216,9 @@ share/mime/packages/opera-extension.xml
 %%DATADIR%%/region/in/standard_speeddial.ini
 %%DATADIR%%/region/ke/bookmarks.adr
 %%DATADIR%%/region/ke/standard_speeddial.ini
+%%DATADIR%%/region/kz/bookmarks.adr
+%%DATADIR%%/region/kz/search.ini
+%%DATADIR%%/region/kz/standard_speeddial.ini
 %%DATADIR%%/region/latin_america/bookmarks.adr
 %%DATADIR%%/region/latin_america/search.ini
 %%DATADIR%%/region/latin_america/standard_speeddial.ini
@@ -359,6 +362,7 @@ share/mime/packages/opera-extension.xml
 @dirrm %%DATADIR%%/region/mx
 @dirrm %%DATADIR%%/region/middle_east
 @dirrm %%DATADIR%%/region/latin_america
+@dirrm %%DATADIR%%/region/kz
 @dirrm %%DATADIR%%/region/ke
 @dirrm %%DATADIR%%/region/in
 @dirrm %%DATADIR%%/region/id
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 11 Mark Linimon freebsd_committer 2013-04-07 00:15:58 UTC
State Changed
From-To: open->closed

Already committed.